package com.fs.his.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsIntegralCart;
import com.fs.his.vo.FsIntegralCartVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface FsIntegralCartMapper extends BaseMapper<FsIntegralCart> {

    /**
     * 新增或修改购物车
     */
    void insertOrUpdate(FsIntegralCart cart);

    /**
     * 获取购物车商品数量
     * @param params    参数
     * @return num      数量
     */
    Integer getCartCountByMap(@Param("params") Map<String, Object> params);

    /**
     * 获取购物车列表
     * @param userId    用户ID
     * @return  list
     */
    List<FsIntegralCartVO> getCartsByUserId(@Param("userId") Long userId);
}
