package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

@Data
public class FsIntegralOrderParam {
    /** id */
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private String orderCode;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 用户电话 */
    @Excel(name = "用户电话")
    private String userPhone;

    /** 用户地址 */
    @Excel(name = "用户地址")
    private String userAddress;

    /** 商品信息 */
    @Excel(name = "商品信息")
    private String itemJson;

    /** 支付积分 */
    @Excel(name = "支付积分")
    private String integral;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 是否支付 0未支付 1已支付 */
    @Excel(name = "是否支付 0未支付 1已支付")
    private Integer isPay;

    /** 支付时间 */
    @Excel(name = "支付时间")
    private LocalDateTime payTime;

    /** 支付类型 1积分 2现金 3积分+现金 */
    @Excel(name = "支付类型 1积分 2现金 3积分+现金")
    private Integer payType;

    /** 1：待发货；2：待收货；3：已完成 */
    @Excel(name = "1：待发货；2：待收货；3：已完成")
    private String status;

    /** 快递公司编号 */
    @Excel(name = "快递公司编号")
    private String deliveryCode;

    /** 快递名称 */
    @Excel(name = "快递名称")
    private String deliveryName;

    /** 快递单号 */
    @Excel(name = "快递单号")
    private String deliverySn;

    /** 发货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发货时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deliveryTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sTime;

    /**
     * 企业微信ID
     * **/
    private Long qwUserId;

    /**
     * 销售ID
     * **/
    private Long companyUserId;

    /**
     * 销售公司ID
     * **/
    private Long companyId;
}
