alter table fs_integral_goods
    add column cash decimal(10,2) default 0 comment '需支付金额' after `integral`;

alter table fs_integral_order
    add column pay_money decimal(11,2) DEFAULT NULL COMMENT '支付金额' after `integral`,
    add column is_pay tinyint(1) DEFAULT NULL COMMENT '是否支付 0未支付 1已支付' after `pay_money`,
    add column `pay_time` datetime DEFAULT NULL COMMENT '支付时间' after `is_pay`,
    add column `pay_type` int DEFAULT NULL COMMENT '支付类型 1积分 2现金 3积分+现金' after `pay_time`;

drop table if exists `fs_integral_cart`;
create table `fs_integral_cart` (
    `id`            bigint not null auto_increment       comment '主键ID',
    `user_id`       bigint not null                      comment '用户ID',
    `goods_id`      bigint not null                      comment '积分商品ID',
    `integral`      int    default 0                     comment '所需积分-单价',
    `cash`          decimal(10,2) default 0              comment '所需金额-单价',
    `cart_num`      int    not null                      comment '数量',
    `create_time`   datetime                             comment '添加时间',
    `update_time`   datetime                             comment '修改时间',
    primary key (`id`) using btree,
    unique key uk_user_goods(`user_id`, `goods_id`),
    key idx_goods(`goods_id`)
) engine = Innodb comment '积分商品购物车';